%global icc_version 0.51

Name:           cinepaint
Version:        1.3
Release:        1%{?dist}
Summary:        CinePaint is a tool for manipulating images

Group:          Applications/Multimedia
License:        GPLv2+ and LGPLv2+ and MIT
URL:            http://www.cinepaint.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# http://www.behrmann.name/index.php?option=com_content&task=view&id=33&Itemid=69
Source1:        http://downloads.sourceforge.net/oyranos/icc_examin-%{icc_version}.tar.bz2
Patch2:         cinepaint-0.22-0-rm_rpath.patch
Patch3:         cinepaint-0.22-0-pc_req.patch
Patch4:         cinepaint-0.22-0-libdir.patch
Patch10:        cinepaint-0.22-gcc44.patch
Patch13:        cinepaint-0.22-1-dso.patch
Patch15:        cinepaint-0.22-ENOY.patch
Patch16:        cinepaint-0.25-oyranos_include.patch
Patch17:        cinepaint-0.25-oyranos_cms.patch
Patch18:        cinepaint-0.25-oyranos_header.patch
Patch19:        cinepaint-0.25.0-nopygimp.patch
Patch20:        cinepaint-nohalf.patch
Patch21:        cinepaint-1.3-c++half.patch
Patch22:        cinepaint-1.3-fixlink.patch
Patch23:        cinepaint-1.3-fixlink2.patch
#Patch24:        cinepaint-1.3-png15.patch
Patch25:        cinepaint-1.3-oy040.patch
Patch30:        icc_examin-0.51-x11.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#ifnarch %{ix86} ppc
BuildRequires:  autoconf libtool
#endif
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  flex, flex-static
BuildRequires:  fltk-devel
BuildRequires:  ftgl-devel
BuildRequires:  gettext
#Needed by autogen.sh
BuildRequires:  gtk+-devel
BuildRequires:  gtk2-devel >= 2.10.8
BuildRequires:  gutenprint-devel >= 5.0.0
BuildRequires:  python-devel
BuildRequires:  lcms-devel >= 1.16
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  OpenEXR-devel >= 1.6.0
BuildRequires:  oyranos-devel
BuildRequires:  elektra-devel
BuildRequires:  libxml2-devel
BuildRequires:  yajl-devel

%if 0%{?fedora} > 10
Requires:       dejavu-sans-fonts
%endif
Requires:       oyranos
Requires:       %{name}-libs = %{version}-%{release}

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description libs
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       automake
Requires:       pkgconfig
Requires:       gtk2-devel

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n cinepaint
%setup -q -D -T -a 1 -n cinepaint
#patch1 -p1 -b .symbol rewrite
%patch2 -p1 -b .rm_rpath
%patch3 -p1 -b .req
%patch4 -p1 -b .libdir
#patch6 -p1 -b .multilib rewrite
#patch10 -p1 -b .gcc44 fuzz
#patch12 -p1 -b .oy19
#patch13 -p1 -b .dso fuzz
#patch14 -p1 -b .upd
%patch15 -p1 -b .enoy
%patch16 -p0 -b .inc
%patch17 -p0 -b .cms
%patch18 -p0 -b .headers
#patch19 -p1 -b .nopygimp fuzz
#patch20 -p1 -b .nohalf
%patch21 -p1 -b .c++half
%patch22 -p1 -b .fixlink
%patch23 -p1 -b .fixlink2
#patch24 -p1 -b .png15
%patch25 -p1 -b .oy040
pushd icc_examin-%{icc_version}
%patch30 -p1 -b .x11
popd

# Update bundled version of icc_examin
rm -rf plug-ins/icc_examin/icc_examin
cp -pR icc_examin-%{icc_version} plug-ins/icc_examin/icc_examin

sed -i -e 's|AC_PATH_PROGS(RPMBUILD, rpm, :)||' configure.in
#sed -i -e 's|PNG_CONFIG libpng|PNG_CONFIG libpng10|' configure.in

#Disable png until ported to libpng15
sed -i -e '/png/d' plug-ins/Makefile.am

#ifnarch %{ix86} ppc
#autoconf -f -i
#find . -name Makefile.in -exec rm {} ';'
#rm *.m4
sh autogen.sh
#endif

for i in AUTHORS COPYING LICENSE README ;do
  install -p -m 0644 libhalf/$i $i.libhalf
done
sed -i 's|\r||'  NEWS COPYING

# prevent interp_md5 to be used
#rm plug-ins/script-fu/interp_md5.{h,c}


%build
%configure \
  --disable-static \
  --enable-gtk2 \
  --with-pixmap=%{_datadir}/pixmaps \
  --with-python=%{_bindir}/python \
  --enable-precision=float \
  --enable-pygimp

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

#chmod 755 $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/gtkcons.py


desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
  --delete-original                                  \
  --remove-category Application                      \
  --mode 644                                         \
${RPM_BUILD_ROOT}%{_datadir}/applications/cinepaint.desktop

# Fix multilib cinepaint-devel
sed -i -e 's|plug_in_dir=%{_libdir}/cinepaint/%{cinever}|plug_in_dir="$(pkg-config --variable programplugindir cinepaint-gtk)"|' \
  ${RPM_BUILD_ROOT}%{_bindir}/cinepainttool
touch -r ChangeLog ${RPM_BUILD_ROOT}%{_bindir}/cinepainttool

#Remove bundled fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts


%find_lang %{name}
%find_lang cinepaint-script-fu
%find_lang cinepaint-std-plugins
cat cinepaint-script-fu.lang | grep lang >> %{name}.lang
cat cinepaint-std-plugins.lang | grep lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%post 
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun libs -p /sbin/ldconfig

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/cinepaint
%{_bindir}/cinepaint-remote
%{_mandir}/man1/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/

%{python_sitelib}/* 
%if %{_lib} == "lib64"
%{python_sitearch}/*
%endif

%files libs
%doc *.libhalf
%defattr(-, root, root,-)
%{_libdir}/%{name}/
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root,-)
%{_bindir}/cinepainttool
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_includedir}/%{name}/
%{_datadir}/aclocal/%{name}.m4


%changelog
* Mon Apr 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.3-1
- Update to 1.3

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-0.5
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.25.0-0.3
- Rebuild for new libpng

* Fri May 27 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.25.0-0.2
- Rebuild for new fltk

* Mon Feb 21 2011 Nicolas Chauvet <kwizart@gmail.com> - 0.25.0-0.1
- Update to pre 0.25

* Fri Aug 27 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.22.1-19
- Build for oyranos 0.1.10

* Sun Aug 22 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.22.1-18
- rebuilt for oyranos

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.22.1-17
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 23 2010 Dan Horák <dan[at]danny.cz> - 0.22.1-16
- fix linking on i386

* Wed Jun 23 2010 Dan Horák <dan[at]danny.cz> - 0.22.1-15
- fix FTBFS #565039
- fix string overflow in icc_examin.cpp (#523700 ??)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 kwizart < kwizart at gmail.com > - 0.22.1-13
- Rebuild for ftgl (#501323)

* Mon Mar  9 2009 kwizart < kwizart at gmail.com > - 0.22.1-12
- Fix for gcc44
- backport oyranos 0.1.9 support
- Switch from freefont to dejavu-sans-fonts for icc_examin internal plug-in
- Add BR libxml2-devel
- Better multiarch conditional

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  8 2008 kwizart < kwizart at gmail.com > - 0.22.1-10
- Fix underquoted cinepaint.m4 - #450325
- Fix automatic provides a specific architecture

* Thu Oct 09 2008 Dennis Gilmore <dennis@ausil.us> - 0.22.1-8
- add sparc64 to the list of 64 bit arches for python site arch

* Fri Mar  7 2008 kwizart < kwizart at gmail.com > - 0.22.1-7
- Add BR Oyranos 0.1.7

* Wed Feb 15 2008 kwizart < kwizart at gmail.com > - 0.22.1-6
- Update icc_examin to 0.44
- Fix cinepaint and icc_examin for gcc43

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 0.22.1-5
- Rebuild to new OpenEXR

* Tue Oct  2 2007 kwizart < kwizart at gmail.com > - 0.22.1-4
- Patch plug-ins/script-fu/interp_md5.* (remove RSA)
- Add Requires pygtk2

* Sat Aug 18 2007 kwizart < kwizart at gmail.com > - 0.22.1-3
- Fix unused-direct-shlib-dependencies
- Multilibs compliant
- Update License field
* Mon Jul 16 2007 kwizart < kwizart at gmail.com > - 0.22.1-2
- Add BR ftgl-devel

* Tue Jun 19 2007 kwizart < kwizart at gmail.com > - 0.22.1-1
- Update to 0.22-1
- Moved cinepainttool in -devel

* Mon Jun 18 2007 kwizart < kwizart at gmail.com > - 0.22.0-6
- Add patch to remove rpath
- Uses autoconf on everything exept i386 ppc (libdir)

* Sun Jun 10 2007 kwizart < kwizart at gmail.com > - 0.22.0-5
- Removed remaining rpaths with chrpath
  (this will allow icc_examin to build)

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 0.22.0-4
- Add post & postun for update-desktop-database
- Add patch to prevent ld skipping incompatible on lib64
- Rebuild with new fltk prevent some rpath problems
- Pre test oyranos-devel ftgl-devel

* Sat May 12 2007 kwizart < kwizart at gmail.com > - 0.22.0-3.1
- Add python_sitearch (needed on x86_64)
- Add Requires freefont (FreeSans.ttf needed for icc_examin)
- Remove rpath (libtool method)
- Add BR oyranos-devel

* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.22.0-3
- Don't use rpath
- Don't call autoconf
- Add missing / Remove unnecessary BuildRequires/Requires
- Fix file entry (especially for directory ownership issue)
- Fix desktop file
- Resolve undefined non-weak symbol

* Thu May 10 2007 kwizart < kwizart at gmail.com > - 0.22.0-2
- Add autoconf 
- Add libXpm-devel
- Add ftgl-devel (optional - wip)
- Add xorg-x11-proto-devel (icc_examin)

* Wed Apr 11 2007 kwizart < kwizart at gmail.com > - 0.22.0-1
- Update to 0.22-0
- Add --enable-gtk2
- Enable python

* Mon Jan 29 2007 kwizart < kwizart at gmail.com > - 0.21.2-1
- Initial release for Fedora Extras

* Mon May 29 2006 Kai-Uwe Behrmann
- move desktop entries to normal installation

* Mon Mar 26 2006 Kai-Uwe Behrmann
- add locale info

* Fri Apr 11 2003 Robin Rowe
- filmgimp to cinepaint rename
- rename gimp files

* Tue Dec 03 2002 Sam Richards
- Changed include directory path.

* Wed Nov 06 2002 Rene Rask
- release 0.6-2
- Rpms can now be built from source by running "make rpm"
- Updated splash and logo images.

* Mon Nov 04 2002 Rene Rask
- release 0.6.

* Wed Oct 30 2002 Rene Rask
- Initial RPM release.

